<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Conversion d'un nombre</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br>");
 // --- on récupère les données ---
 $nb   = $_POST['nb']  ;
 $base = $_POST['base'];
 // --- on traite les données ---
 $nb   = intval($nb)   ;
 $base = intval($base) ;
 $affichage = strtoupper(base_convert($nb,10,$base));
 echo "$nb en base $base = $affichage".WEB_EOL;
 ?>
 </body>
</html>
